Skip to main content
POST
/
v1
/
file-manager
/
transform
/
merge
Create Merge File Job
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/file-manager/transform/merge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "engagementId": "<string>",
  "outputFileName": "<string>",
  "parentFileManagerEntityId": "<string>",
  "fileColumnMappings": {},
  "mappings": [
    {
      "fileManagerFileId": "<string>",
      "columns": [
        123
      ]
    }
  ]
}
'
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/file-manager/transform/merge"

payload = {
    "engagementId": "<string>",
    "outputFileName": "<string>",
    "parentFileManagerEntityId": "<string>",
    "fileColumnMappings": {},
    "mappings": [
        {
            "fileManagerFileId": "<string>",
            "columns": [123]
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    engagementId: '<string>',
    outputFileName: '<string>',
    parentFileManagerEntityId: '<string>',
    fileColumnMappings: {},
    mappings: [{fileManagerFileId: '<string>', columns: [123]}]
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/file-manager/transform/merge', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
engagementId
string
required

Identifies the associated engagement.

outputFileName
string
required

The name of the file being generated in the requested merge operation.

Minimum string length: 1
parentFileManagerEntityId
string

Identifies the parent directory. If NULL, the directory is positioned at the root level.

fileColumnMappings
object
deprecated

Deprecated: use mappings instead. Reference to the files and the columns to include in the merge operation.

mappings
File Merge Mapping · object[]

Ordered list of file/column selections to merge (each entry has fileManagerFileId and its column indexes).

Response

201 - application/json

Created

id
string

The unique object identifier.

version
integer<int64>

Indicates the data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB,
CONNECTION_TEST,
CONNECTION_TABLES,
DATA_TABLE
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
string

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE,
CONNECTION_TEST_RESULT,
CONNECTION_TABLES_RESULT,
DATA_TABLE
error
string

The reason why the async job failed.

errorMessage
string